#
# spec file for package gap-guarana
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-guarana
Summary:        GAP: Lie methods for computations with infinite polycyclic groups
Version:        0.94
Release:        lp152.3.2
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www-circa.mcs.st-andrews.ac.uk/~jjm/software/Guarana

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/Guarana-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.4
Requires:       gap-gapdoc >= 1.3
Requires:       gap-polenta >= 1.2.3
Requires:       gap-polycyclic >= 1.1
Suggests:       gap-alnuth >= 3.0.0
Suggests:       gap-nq >= 2.0

%description
This package demonstrates the algorithmic usefulness of the so-called
Mal'cev correspondence for computations with infinite polycyclic
groups; it is a correspondence that associates to every $\Q$-powered
nilpotent group $H$ a unique rational nilpotent Lie algebra $L_H$ and
vice-versa. The Mal'cev correspondence was discovered by Anatoly
Mal'cev in 1951.

%prep
%setup -qn guarana

%build
find . -type f -name "*.orig" -delete
find . -type f -name '#*#' -delete

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri May 10 2013 jengelh@inai.de
- Split guarana (version 0.94) off the gap RPM package
